#
# spec file for package yast2-iscsi-client (Version 2.13.21)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost boost-devel bzip2 coreutils cpio cpp cracklib curl curl-devel cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dejagnu desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs e2fsprogs-devel expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hal-devel hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libicu libidn libidn-devel libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel libxslt liby2util liby2util-devel libzio libzypp libzypp-devel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl perl-XML-Writer perl-gettext permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm rpm-devel sed sgml-skel strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-perl-bindings yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-iscsi-client
Version:        2.13.21
Release:        1.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-iscsi-client-2.13.21.tar.bz2
prefix:		/usr
BuildRequires:  docbook-xsl-stylesheets doxygen libxslt perl-XML-Writer popt-devel sgml-skel update-desktop-files yast2 yast2-devtools yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite
Requires:       yast2
BuildArchitectures:	noarch
Summary:        Configuration of iscsi-client

%description
Configuration of iscsi-client



%debug_package
%prep
%setup -n yast2-iscsi-client-2.13.21

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/iscsi-client
/usr/share/YaST2/include/iscsi-client/*
/usr/share/YaST2/clients/iscsi-client.ycp
/usr/share/YaST2/clients/iscsi-client_*.ycp
/usr/share/YaST2/clients/inst_iscsi-client.ycp
/usr/share/YaST2/modules/IscsiClient.*
%{prefix}/share/applications/YaST2/iscsi-client.desktop
/usr/share/YaST2/scrconf/iscsid.scr
%doc %{prefix}/share/doc/packages/yast2-iscsi-client

%changelog -n yast2-iscsi-client
* Fri Jun 09 2006 - mzugec@suse.cz
- fixed #disable Connect button when already connected target is selected
* Thu Jun 08 2006 - mzugec@suse.cz
- fixed #179013 - gets confused if the target names are similar
* Thu Jun 08 2006 - mzugec@suse.cz
- fixed #180985 - staying current row in connected dialog
* Thu May 25 2006 - mzugec@suse.cz
- fixed #149055 - iscsi client login always asks for credentials
* Thu May 04 2006 - mzugec@suse.cz
- proofread
* Mon Apr 24 2006 - mzugec@suse.cz
- testsuite
* Mon Apr 24 2006 - mzugec@suse.cz
- comments, logs
* Fri Apr 07 2006 - mzugec@suse.cz
- fixed #156838 - yast-iscsi-client shutting down the open-iscsi initiator when it shouldn't
* Wed Apr 05 2006 - mzugec@suse.cz
- fixed #163299 - Iscsi -> iSCSI
* Thu Mar 23 2006 - mzugec@suse.cz
- fixed #160315 - check if user is root
* Thu Mar 23 2006 - mzugec@suse.cz
- fixed #158539 - possibility to remove target
* Tue Mar 21 2006 - mzugec@suse.cz
- fixed #159666 - move to net services group
* Mon Mar 13 2006 - mzugec@suse.cz
- fixed #157634 - install package
* Mon Mar 13 2006 - mzugec@suse.cz
- fixed #156838 - startup problem
* Mon Mar 06 2006 - mzugec@suse.cz
- #155273  - IscsiClient -> Iscsi Initiator
* Tue Feb 28 2006 - mzugec@suse.cz
- fixed #154123 create /etc/initiatorname.iscsi in installation
* Mon Feb 20 2006 - mzugec@suse.cz
- fixed #148949 - Global->Service + proofread
* Fri Feb 17 2006 - mzugec@suse.cz
- fixed #151868 - authentication into target
* Fri Feb 17 2006 - ihno@suse.de
- Adding warning in help according to feature 300437
* Wed Feb 15 2006 - mzugec@suse.cz
- correction of #149934 (ingoing vs outgoing)
* Mon Feb 13 2006 - mzugec@suse.cz
- fixed #149934 - authentication in discovery
* Fri Feb 10 2006 - mzugec@suse.cz
- fixed #148960 - rename button labels
* Thu Feb 09 2006 - mzugec@suse.cz
- fixed #149060 - remove firewall component
* Thu Feb 09 2006 - mzugec@suse.cz
- fixed #148672 - start init.d script
* Tue Feb 07 2006 - mzugec@suse.cz
- fixed #148665 - ask to install open-iscsi
* Tue Feb 07 2006 - mzugec@suse.cz
- proofread
* Tue Jan 31 2006 - mzugec@suse.cz
- add helps
* Mon Jan 30 2006 - mzugec@suse.cz
- fixed authentication problems
* Tue Jan 24 2006 - mzugec@suse.cz
- handle for init stage
* Tue Jan 24 2006 - jsrain@suse.cz
- added copying configuration to system during installation
* Mon Jan 23 2006 - mzugec@suse.cz
- check exceptions
* Fri Jan 20 2006 - mzugec@suse.cz
- clean subversion
* Fri Jan 20 2006 - mzugec@suse.cz
- install package
* Thu Jan 12 2006 - mzugec@suse.cz
- change version number
* Fri Jan 06 2006 - mzugec@suse.cz
- initial version
